import re
import os
from .handlers import HANDLERS, Handler

def main():
    path_info = os.getenv("PATH_INFO", "")
    path_query = os.getenv("QUERY_STRING", "")
    if path_query:
        path_info = path_info + "?" + path_query
    path_base = re.sub("[/?].*$", "", path_info)
    # Each might point to a subdirectory by default, but we'll map by domain
    hndlr_map = {re.sub("/.*$", "", key): val for key, val in HANDLERS.items()}
    handler = hndlr_map.get(path_base, Handler)
    h = handler(path_info)
    h.parse()
    h.render()

if __name__ == "__main__":
    main()
